PKG_UPDATING(1)

NAME
pkg_updating - a utility for displaying UPDATING entries of software packages

SYNOPSIS
pkg_updating [-h] [-d date] [-f file] [pkg-name ...]
pkg_updating

DESCRIPTION
The pkg_updating command scans the installed ports and show all UPDATING entries that affect one of the installed ports. Alternative a list of pkg-names could be passed.

OPTIONS
The following command line options are supported:

pkg-name ...
    UPDATING entries for the named packages are displayed.

-d, --date date
    Only entries newer than date are shown. Use a YYYYMMDD date format.

-f, --file file
    Defines a alternative location of the UPDATING file.

-h, --help
    Print help message.

ENVIRONMENT

PKG_DBDIR
    Specifies an alternative location for the installed package database.

PORTSDIR
    Location of the ports tree.

FILES
/var/db/pkg
    Default location of the installed package database.
/usr/ports
    The default ports directory and default location of the UPDATING file

EXAMPLES
Shows all entries of all installed ports:
    % pkg_updating

Shows all entries of all installed ports since 2007-01-01:
    % pkg_updating -d 20070101

Shows all entries for all apache and mysql ports:
    % pkg_updating apache mysql

Shows all apache entries since 2006-01-01:
    % pkg_updating -d 20060101 apache

Defines that the UPDATING file is in /tmp and shows all entries of all installed ports:
    % pkg_updating -f /tmp/UPDATING

Fetch UPDATING file from ftp mirror and show all entries of all installed ports:
    % pkg_updating -f ftp://ftp.freebsd.org/pub/FreeBSD/ports/packages/UPDATING

SEE ALSO
pkg_add(1), pkg_create(1), pkg_delete(1), pkg_version(1)

AUTHORS
Beat Gätzi <beat@chruetertee.ch>

CONTRIBUTORS
Martin Tournoij <carpetsmoker@xs4all.nl>

BUGS
Sure to be some.